<?

 /*************************************************************************************
 * Filename: setup.php
 *
 * This file is part of the Login JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Login JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/contact/
 *************************************************************************************/


 class Plugin_Setup_contact extends Base_Plugin_Setup
 {
  function init()
  {
   global $_path;

   $this->modules();

   //create contact container
   if(!$this->data("categories", Array("catnr", "text"), Array(
    Array(
     "catnr" => 1,
     "name" => "Contact",
     "text" => "CONTACT PLUGIN CONTAINER",
     "module" => Array("contact_feedback", "workflow", "workflowTransitions"),
    ),
   )))
    return false;

   //create workflows
   $d=Data::cache("categories", "view", "all");
   $d->setValue("catnr", 1);
   $d->setValue("text", "CONTACT PLUGIN CONTAINER");
   $d->setShowFields();

   if($d->get()&&$d->next())
    $catnr=$d->v["nr"];
   else
    $catnr=1;

   if(!$this->data("workflow", Array("name"), Array(
    Array(
     "catnr" => $catnr,
     "name" => "Feedback",
     "script" => "

New
In progress > OPEN

Open
Close > CLOSED

Closed
Reopen > OPEN
     ",
    ),
   )))
    return false;

   return true;
  }

 }
?>
